hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Drob (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-19151) hbase shell from bin tarball warns of missing gems
Date Wed, 01 Nov 2017 19:42:00 GMT
Mike Drob created HBASE-19151:
---------------------------------

             Summary: hbase shell from bin tarball warns of missing gems
                 Key: HBASE-19151
                 URL: https://issues.apache.org/jira/browse/HBASE-19151
             Project: HBase
          Issue Type: Bug
          Components: shell
    Affects Versions: 2.0.0-alpha-4
            Reporter: Mike Drob
            Priority: Minor
             Fix For: 2.0.0-beta-1


{noformat}
mdrob@mdrob-MBP:/tmp/hb2a4/hbase-2.0.0-alpha4$ bin/hbase shell
2017-11-01 14:39:31,637 WARN  [main] util.NativeCodeLoader: Unable to load native-hadoop library
for your platform... using builtin-java classes where applicable
HBase Shell
Use "help" to get list of supported commands.
Use "exit" to quit this interactive shell.
Version 2.0.0-alpha4, r5c4b985f89c99cc8b0f8515a4097c811a0848835, Tue Oct 31 16:00:33 PDT 2017
Took 0.0029 seconds
Ignoring executable-hooks-1.3.2 because its extensions are not built. Try: gem pristine executable-hooks
--version 1.3.2
Ignoring gem-wrappers-1.2.7 because its extensions are not built. Try: gem pristine gem-wrappers
--version 1.2.7
Ignoring rainbow-2.2.2 because its extensions are not built. Try: gem pristine rainbow --version
2.2.2
{noformat}

We should not have warnings like that - either bundle the gems or figure out how to remove
them from the execution path.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message